#
# Conditional build:
%bcond_without	apidocs	# plugins API documentation

Summary:	gedit - small but powerful text editor for X Window
Summary(pl.UTF-8):	gedit - mały ale potężny edytor tekstu dla X Window
Name:		gedit
Version:	3.38.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	https://download.gnome.org/sources/gedit/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	19dcfd1631256ab85d9394225dddf167
URL:		https://wiki.gnome.org/Apps/Gedit
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	glib2-devel >= 1:2.64
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gspell-devel >= 1.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.2.0
BuildRequires:	gtk+3-devel >= 3.22.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	gtksourceview4-devel >= 4.0.2
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libpeas-devel >= 1.14.1
BuildRequires:	libpeas-gtk-devel >= 1.14.1
BuildRequires:	libsoup-devel >= 2.60.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	meson >= 0.53
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.2.3
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	tepl-devel >= 5.0
BuildRequires:	vala >= 2:0.25.1
BuildRequires:	vala-gtksourceview4 >= 4.0.2
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.64
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2 >= 1:2.64
Requires:	gspell >= 1.0
Requires:	gsettings-desktop-schemas >= 3.2.0
Requires:	gtk+3 >= 3.22.0
Requires:	gtksourceview4 >= 4.0.2
Requires:	hicolor-icon-theme
Requires:	iso-codes >= 0.35
Requires:	libpeas-loader-python3 >= 1.14.1
Requires:	libsoup >= 2.60.0
Requires:	libxml2 >= 1:2.6.31
Requires:	python3-libs >= 1:3.2.3
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.0.0
Obsoletes:	gedit-plugins < 2.3.3-2
Obsoletes:	gedit2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		api_ver		3.38

%description
gedit is a small but powerful text editor for GTK+ and/or GNOME. It
includes such features as split-screen mode, a plugin API, which
allows gedit to be extended to support many features while remaining
small at its core, multiple document editing and many more functions.

%description -l pl.UTF-8
gedit jest małym ale potężnym edytorem tekstu dla GTK+ i/lub GNOME.
Zawiera takie funkcje jak tryb podzielonego ekranu, API dla "wtyczek",
który umożliwia rozszerzenie funkcji gedita o dodatkowe możliwości,
nie zwiększając rozmiarów samego programu, możliwość edycji wielu
dokumentów naraz i wiele innych.

%package libs
Summary:	gedit shared library
Summary(pl.UTF-8):	Biblioteka współdzielona gedit
Group:		Libraries

%description libs
gedit shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona gedit.

%package devel
Summary:	gedit header files
Summary(pl.UTF-8):	Pliki nagłówkowe gedit
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.64
Requires:	gtk+3-devel >= 3.22.0
Requires:	gtksourceview4-devel >= 4.0.2
Requires:	libpeas-devel >= 1.14.1
Requires:	libpeas-gtk-devel >= 1.14.1
Obsoletes:	gedit2-devel

%description devel
gedit header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe gedit.

%package apidocs
Summary:	gedit API documentation
Summary(pl.UTF-8):	Dokumentacja API gedit
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	gedit2-apidocs
%{?noarchpackage}

%description apidocs
gedit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gedit.

%package -n vala-gedit
Summary:	gedit API for Vala language
Summary(pl.UTF-8):	API gedit dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.25.1
Requires:	vala-gtksourceview4 >= 4.0.2
%{?noarchpackage}

%description -n vala-gedit
gedit API for Vala language.

%description -n vala-gedit -l pl.UTF-8
API gedit dla języka Vala.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%find_lang gedit --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f gedit.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gedit
%dir %{_libdir}/gedit/plugins
%attr(755,root,root) %{_libdir}/gedit/plugins/*.so
%{_libdir}/gedit/plugins/*.plugin
%{_libdir}/gedit/plugins/externaltools
%{_libdir}/gedit/plugins/pythonconsole
%{_libdir}/gedit/plugins/snippets
%{_libdir}/gedit/plugins/quickopen
%{py3_sitedir}/gi/overrides/Gedit.py
%{py3_sitedir}/gi/overrides/__pycache__/Gedit.cpython-*.py[co]
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/gedit/plugins
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.spell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml
%{_datadir}/metainfo/org.gnome.gedit.appdata.xml
%{_desktopdir}/org.gnome.gedit.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.gedit.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.gedit-symbolic.svg
%{_mandir}/man1/gedit.1*

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/gedit
%attr(755,root,root) %{_libdir}/gedit/libgedit-%{api_ver}.so
%dir %{_libdir}/gedit/girepository-1.0
%{_libdir}/gedit/girepository-1.0/Gedit-3.0.typelib
%dir %{_datadir}/gedit

%files devel
%defattr(644,root,root,755)
%{_includedir}/gedit-%{api_ver}
%dir %{_datadir}/gedit/gir-1.0
%{_datadir}/gedit/gir-1.0/Gedit-3.0.gir
%{_pkgconfigdir}/gedit.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gedit
%endif

%files -n vala-gedit
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gedit.deps
%{_datadir}/vala/vapi/gedit.vapi
%changelog
* Fri Nov 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gedit.git;a=log;h=master

* Fri Nov 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 7ce6401
- updated to 3.38.1

* Fri Sep 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 2cbe3a0
- updated to 3.38.0
- removed obsolete gtkdocdir patch

* Tue Apr 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 2c15636
- updated to 3.36.2

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> fffdb5d
- updated to 3.36.1 (internal lib soname changed, gedit API is 3.36 now)
- updated gtkdocdir patch

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 89cb39d
- updated to 3.34.1

* Thu Nov 07 2019 Jakub Bogusz <qboosh@pld-linux.org> b67894b
- separated -libs, -devel now requires libgedit library

* Thu Nov 07 2019 Jakub Bogusz <qboosh@pld-linux.org> a83dbc7
- added %{_datadir}/gedit also to -devel

* Thu Nov 07 2019 Jakub Bogusz <qboosh@pld-linux.org> f53e8dd
- updated to 3.34.0
- added gtkdocdir patch

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> f50fec5
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2652d96
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jan 23 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> bdd0b33
- Updated to 3.30.2

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 906171c
- release 2 (by relup.sh)

* Tue Mar 20 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 4be5755
- Update to 3.28.0

* Tue Aug 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 3e055e8
- updated to 3.22.1

* Tue Feb 14 2017 Jan Rękorajski <baggins@pld-linux.org> 74b36a5
- removed unsupported locale

* Sun Feb 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 442e8d0
- updated to 3.22.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b26061c
- python 3.6
- release 2 (by relup.sh)

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 0e4419e
- updated to 3.20.2

* Fri Apr 01 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1c0d543
- Update to 3.20.1

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 527fbbd
- noarch vala subpackage

